### Documentation available at https://wodby.com/docs/stacks/drupal/local
### Changelog can be found at https://github.com/wodby/docker4drupal/releases
### Images tags format explained at https://github.com/wodby/docker4drupal#images-tags

### PROJECT SETTINGS
PROJECT_NAME=Intelcia
PROJECT_BASE_URL=intelcia.local

DB_NAME=drupal
DB_USER=drupal
DB_PASSWORD=drupal
DB_ROOT_PASSWORD=password
DB_HOST=mysql
DB_PORT=3306
DB_DRIVER=mysql

### --- MARIADB ----
MARIADB_TAG=10.5-3.13.20
#MARIADB_TAG=10.4-3.13.20
#MARIADB_TAG=10.3-3.13.20
#MARIADB_TAG=10.2-3.13.20

### --- VANILLA DRUPAL ----

DRUPAL_TAG=9-2.8
#DRUPAL_TAG=8-4.36.3
#DRUPAL_TAG=7-4.36.3

### --- PHP ----

# Linux (uid 1000 gid 1000)

PHP_TAG=8.0
#PHP_TAG=8.0-dev-4.29.3
#PHP_TAG=7.3-dev-4.29.3

# macOS (uid 501 gid 20)

#PHP_TAG=8.0-dev-macos-4.29.3
#PHP_TAG=7.4-dev-macos-4.29.3
#PHP_TAG=7.3-dev-macos-4.29.3

### --- NGINX ----

NGINX_TAG=1.21-5.16.0
#NGINX_TAG=1.20-5.16.0
#NGINX_TAG=1.19-5.16.0

NGINX_VHOST_PRESET=drupal9
#NGINX_VHOST_PRESET=drupal8
#NGINX_VHOST_PRESET=drupal7

### --- SOLR ---

SOLR_CONFIG_SET="search_api_solr_4.1.6"
#SOLR_CONFIG_SET="search_api_solr_4.0.1"
#SOLR_CONFIG_SET="search_api_solr_8.x-3.9"
#SOLR_CONFIG_SET="search_api_solr_8.x-3.2"
#SOLR_CONFIG_SET="search_api_solr_8.x-2.7"
#SOLR_CONFIG_SET="search_api_solr_8.x-1.2"
#SOLR_CONFIG_SET="search_api_solr_7.x-1.14"

#SOLR_TAG=8-4.12.2
SOLR_TAG=7-4.12.2
#SOLR_TAG=6-4.12.2
#SOLR_TAG=5-4.12.2

### --- ELASTICSEARCH ---

ELASTICSEARCH_TAG=7-5.13.11
#ELASTICSEARCH_TAG=6-5.13.11

### --- KIBANA ---

KIBANA_TAG=7-5.13.11
#KIBANA_TAG=6-5.13.11

### --- REDIS ---

REDIS_TAG=6-3.9.5
#REDIS_TAG=5-3.9.5

### --- NODE ---

NODE_TAG=16-dev-0.87.0
#NODE_TAG=14-dev-0.87.0
#NODE_TAG=12-dev-0.87.0

### --- VARNISH ---

VARNISH_TAG=6.0-4.7.6
#VARNISH_TAG=4.1-4.7.6

### --- POSTGRESQL ----

POSTGRES_TAG=13-1.23.2
#POSTGRES_TAG=12-1.23.2
#POSTGRES_TAG=11-1.23.2
#POSTGRES_TAG=10-1.23.2
#POSTGRES_TAG=9.6-1.23.2

### OTHERS

ADMINER_TAG=4-3.15.1
APACHE_TAG=2.4-4.6.3
ATHENAPDF_TAG=2.16.0
DRUPAL_NODE_TAG=1.0-2.0.0
MEMCACHED_TAG=1-2.9.4
OPENSMTPD_TAG=6.0-1.10.3
RSYSLOG_TAG=latest
SELENIUM_CHROME_TAG=3.141
WEBGRIND_TAG=1-1.22.0
XHPROF_TAG=3.0.5
